<div id="upsale">
  <div class="">
    <p class="mb-0 text-lg font-semibold text-neutral-900">
      Upsale
    </p>
  </div>
  <div class="mt-6" id="hideBottomInput">
    <p class="mb-0 text-sm font-semibold text-neutral-900">
      Add Store
    </p>
    <v-autocomplete dense outlined placeholder="Enter your store" multiple v-model="listStoreId" :items="listStore"
      class="mt-2" chips item-text="domain" item-value="_id">
      <template v-slot:selection="data">
        <v-chip v-bind="data.attrs" :input-value="data.selected" close @click="data.select" class="mt-1 mb-1"
          @click:close="remove(data.item)">
          <!-- <v-avatar left>
            <v-img :src="data.item.avatar"></v-img>
          </v-avatar> -->
          {{ data.item.domain }}
        </v-chip>
      </template>
    </v-autocomplete>
  </div>
  <div class="mt-6" v-if="listStoreSelected && listStoreSelected.length">
    <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
    </v-skeleton-loader>
    <div v-else>
      <v-card class="ui-card">
        <v-simple-table class="scrollTable c-pointer" fixed-header
          style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
          <template v-slot:default>
            <thead>
              <tr>
                <th class="text-left !text-[#6E7C87] !bg-gray-200">
                  <div class="d-flex align-center">
                    <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                      No.
                    </p>
                  </div>
                </th>
                <th class="text-left !text-[#6E7C87] !bg-gray-200">
                  <div>
                    <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                      Name
                    </p>
                  </div>
                </th>
                <th class="text-left !text-[#6E7C87] !bg-gray-200">
                  <div>
                    <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                      Domain
                    </p>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(store,i) in listStoreSelected" :key="store._id">
                <td class="pa-0">
                  <div class="d-flex align-center">
                    <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                      {{i + 1}}
                    </p>
                  </div>
                </td>
                <td class="pa-0">
                  <div class="d-flex align-center">
                    <p class="mb-0 text-xs colorGreyHeaderTable">
                      {{store.productSellerId.productName}}
                    </p>
                  </div>
                </td>
                <td class="pa-0">
                  <div class="d-flex align-center">
                    <p class="mb-0 text-xs colorGreyHeaderTable">
                      {{store.domain}}
                    </p>
                  </div>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
      </v-card>
    </div>
  </div>
  <div class="mt-6" id="hideBottomInput">
    <p class="mb-0 text-sm font-semibold text-neutral-900">
      Add Discount
    </p>
    <v-select dense outlined v-model="sellerDiscountId" :items="listDiscount" item-text="name" item-value="_id"
      class="mt-3" placeholder="Enter discount">
    </v-select>
    <div class="mt-6">
      <div class="flex items-center">
        <v-switch class="mt-0" inset v-model="status" :disabled="!sellerDiscountId">
        </v-switch>
        <div>
          <span v-if="!status" class="text-sm text-red-500">
            Inactive
          </span>
          <span v-else class="text-sm text-blue-500">
            Active
          </span>
        </div>
      </div>
    </div>
  </div>
</div>